Package com.sap.ai.sdk.core.model

# Class BckndServiceServiceCatalogItemExtendCredentials

java.lang.Object
com.sap.ai.sdk.core.model.BckndServiceServiceCatalogItemExtendCredentials

public class BckndServiceServiceCatalogItemExtendCredentials extends Object
BckndServiceServiceCatalogItemExtendCredentials

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndServiceServiceCatalogItemExtendCredentials()`
  Default constructor for BckndServiceServiceCatalogItemExtendCredentials.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndServiceServiceCatalogItemExtendCredentials`
  `create()`
  Create a new `BckndServiceServiceCatalogItemExtendCredentials` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndServiceServiceCatalogItemExtendCredentials`.
  `BckndServiceServiceCatalogItemExtendCredentialsShared`
  `getShared()`
  Get shared
  `int`
  `hashCode()`
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndServiceServiceCatalogItemExtendCredentials` instance.
  `void`
  `setShared(BckndServiceServiceCatalogItemExtendCredentialsShared shared)`
  Set the shared of this `BckndServiceServiceCatalogItemExtendCredentials` instance.
  `BckndServiceServiceCatalogItemExtendCredentials`
  `shared(BckndServiceServiceCatalogItemExtendCredentialsShared shared)`
  Set the shared of this `BckndServiceServiceCatalogItemExtendCredentials` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndServiceServiceCatalogItemExtendCredentials` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndServiceServiceCatalogItemExtendCredentials

    protected BckndServiceServiceCatalogItemExtendCredentials()
    Default constructor for BckndServiceServiceCatalogItemExtendCredentials.

- ## Method Details

  - ### shared

    @Nonnull public BckndServiceServiceCatalogItemExtendCredentials shared(@Nullable BckndServiceServiceCatalogItemExtendCredentialsShared shared)
    Set the shared of this `BckndServiceServiceCatalogItemExtendCredentials` instance and return the same instance.
    Parameters:
      `shared` - The shared of this `BckndServiceServiceCatalogItemExtendCredentials`
    Returns:
      The same instance of this `BckndServiceServiceCatalogItemExtendCredentials` class

  - ### getShared

    @Nonnull public BckndServiceServiceCatalogItemExtendCredentialsShared getShared()
    Get shared
    Returns:
      shared The shared of this `BckndServiceServiceCatalogItemExtendCredentials` instance.

  - ### setShared

    public void setShared(@Nullable BckndServiceServiceCatalogItemExtendCredentialsShared shared)
    Set the shared of this `BckndServiceServiceCatalogItemExtendCredentials` instance.
    Parameters:
      `shared` - The shared of this `BckndServiceServiceCatalogItemExtendCredentials`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndServiceServiceCatalogItemExtendCredentials`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndServiceServiceCatalogItemExtendCredentials` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndServiceServiceCatalogItemExtendCredentials` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndServiceServiceCatalogItemExtendCredentials` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndServiceServiceCatalogItemExtendCredentials create()
    Create a new `BckndServiceServiceCatalogItemExtendCredentials` instance. No arguments are required.